List referred businesses
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/referred-businesses \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/referred-businesses"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/referred-businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Referred businesses retrieved successfully.",
"data": {
"current_page": 1,
"data": [
{
"uuid": "a1b2c3d4e5f6",
"name": "Smith Enterprises",
"email": "owner@example.com",
"currency": "USD",
"country": "US",
"credit_from_referral_partner": false,
"is_subscribed_to_adam": true,
"billing_currency": "USD",
"subscription_status": "active",
"available_seats": 3,
"subscription_plan": "plus",
"credit_balance": 450,
"subscription_expires_at": "2026-08-09T02:00:00.000000Z",
"gateway": "referral_partner"
}
],
"per_page": 20,
"total": 1
}
}{
"status": "failed",
"message": "<string>"
}{
"status": "failed",
"message": "<string>"
}Distribution Partners
List referred businesses
Paginated list of businesses you referred, with a billing snapshot on each row.
GET
/
referred-businesses
List referred businesses
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/referred-businesses \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/referred-businesses"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/referred-businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Referred businesses retrieved successfully.",
"data": {
"current_page": 1,
"data": [
{
"uuid": "a1b2c3d4e5f6",
"name": "Smith Enterprises",
"email": "owner@example.com",
"currency": "USD",
"country": "US",
"credit_from_referral_partner": false,
"is_subscribed_to_adam": true,
"billing_currency": "USD",
"subscription_status": "active",
"available_seats": 3,
"subscription_plan": "plus",
"credit_balance": 450,
"subscription_expires_at": "2026-08-09T02:00:00.000000Z",
"gateway": "referral_partner"
}
],
"per_page": 20,
"total": 1
}
}{
"status": "failed",
"message": "<string>"
}{
"status": "failed",
"message": "<string>"
}Partner key only. Each item includes identity fields plus the same billing snapshot as Billing status.
Authorizations
Business secret tyms_sk_... for business-scoped routes. Partner secret for register-business and referred-business distributor routes.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Response
Referred businesses page